dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Подсчёт длин 3D Solid Extrude или 3D Solid Sweep

Подсчёт длин 3D Solid Extrude или 3D Solid Sweep

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 09.10.2012, 21:46 #1
Подсчёт длин 3D Solid Extrude или 3D Solid Sweep
Малюк
 
проектировщик
 
Житомир
Регистрация: 03.05.2007
Сообщений: 563

Малюк вне форума Вставить имя

Ситуация такая - начертил систему трубопроводов в 3D. Все трубы сделаны с помощью функции выдавливания (Extrude). Теперь надо посчитать их суммарную длину, тоесть для начала нужно знать их длины (значение - height). Думал это можно сделать через извлечение данных (Data Extraction...), но к сожалению почему такого параметра при извлечени там нет. Тоесть что нужно.
1. Может что то не так делаю в Data Extraction..., что тогда не так?
2. Может у кого-то есть lisp или что-то в этом духе на подсчёт суммы высот 3D Solid-ов выдавливания (в принцыпе 3D Solid-ы выдавливания могу заменить на 3D Solid-ы выдавливания по прямой Sweep, тогда уже будет нужен Lisp на подсчёт суммы длин 3D Solid-ов Sweep)?
3. Решение задачи подсчёта суммы длин (высот) 3D Solid-ов, каким-нибудь другим способом?

Помогите пожалуйста

Последний раз редактировалось Малюк, 09.10.2012 в 22:05.
Просмотров: 958
 
Непрочитано 11.10.2012, 12:33
#2
5hev

roads
 
Регистрация: 22.12.2010
msk
Сообщений: 121
Отправить сообщение для 5hev с помощью ICQ Отправить сообщение для 5hev с помощью Skype™


Малюк, вот вариант подсчета через объем труб, при условии, что их диаметр будет одинаковым:
Код:
[Выделить все]
 (setq rad (/ (getreal "Diam=") 2))
(princ (rtos (apply '+ (mapcar '(lambda (x) (/ (vla-get-volume ($vla x)) (* pi rad rad))) ($ss>list (ssget) nil))) 2 2))

Писал на коленке, так что не обессудь - использовал свои библиотечные функции.

Проверить работоспособность можно на примере:
Код:
[Выделить все]
 (defun c:test_tube  (/ rad)
(setq rad (/ (getreal "\nDiam=\n") 2))
(/ (vla-get-volume (vlax-ename->vla-object (car (entsel)))) (* pi rad rad)))

Последний раз редактировалось 5hev, 11.10.2012 в 12:56.
5hev вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Подсчёт длин 3D Solid Extrude или 3D Solid Sweep

Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Ruled Mesh -> 3D solid plex AutoCAD 1 14.11.2007 17:54
Как тело построенное 3D Face превратить в 3D Solid? Bdod AutoCAD 37 03.08.2006 11:36
3D surfaces (not meshes) в - 3D SOLID ?????? Startrek AutoCAD 2 30.06.2004 14:47

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы